//
//  AuthRequestManager.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import Foundation
import Firebase

//This protocols are used by the workers
//This protocol abstracts the requests related to authentication 
protocol FirebaseAuthManager {
    func signIn(email: String, password: String, completion: @escaping (_ authResult: AuthDataResult?, _ error: Error?) -> Void)
    func signUp(email: String, password: String, completion: @escaping (_ authResult: AuthDataResult?, _ error: Error?) -> Void)
    func signOut() -> Bool
    func getUser() -> User?
    func recoverPassword(email: String, completion: @escaping (_ isSuccessful: Bool) -> Void)
}
//This is a protocol for the firebase observers
protocol FBObserverManager {
    func attachListener(completion: @escaping (_ auth: Auth?, _ user: User?) -> Void)
    func detatchListener()
}
