//
//  LocationManager.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import Foundation

//Protocol for location services
//Will abstract useful functions
//This is used by the workers

enum LocationServiceError: Error {
    case notAuthorizedToRequestLocation
}

protocol LocationManager {
    typealias FetchLocationCompletion = (Location?, LocationServiceError?) -> Void
    
    func fetchLocation(completion: @escaping FetchLocationCompletion)
    func requestLocationPermission()
    func getCityFromLocation(location: Location, completion: @escaping (_ cityName: String?)->Void)
}
