//
//  AppModels.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

//This class contains the models of the app

import Foundation

struct SessionResponse {
    let username: String
}

struct UserData {
    let uid: String
    let email: String
    let photoUrl: String
    let interests: String
}

struct Location {
    let latitude: Double
    let longitude: Double
}

struct Place {
    let lat: Double
    let lng: Double
    let name: String
    let tags: String
    let description: String
    let image: String
    let uid: String
}

struct Activity {
    let lat: Double
    let lng: Double
    let name: String
    let description: String
    let dateTime: String
    let placeName: String
    let placeUid: String
    let tags: String
    let attendees: Int
    let attendeesIDs: [String]
    let creator: String
    let isPublic: Bool
    let uid: String
}

struct UserEvent {
    let activityUid: String
    let date: String
    let isCreator: Bool
    let isGoing: Bool
    let eventName: String
    let placeName: String
    let city: String
}
