//
//  AddPlaceBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

// This class will contain useful models for the scene
// These models contain the data that the view will use
// Example the viewModels for validating or setting styles
enum AddPlaceBusinessModel {
    enum SetupView{
        struct SaveButtonViewModel {
            let cornerRadius: CGFloat
            let borderWidth: CGFloat
            let borderColor: CGColor
        }
        struct ValidationViewModel{
            let errorMessage: String
            let isValid: Bool
            let nameValue: String
            let descriptionValue: String
            let tagsValue: String
            let imageValue: URL?
        }
        struct ViewModel{
            let save: SaveButtonViewModel
            let validator: (_ name: String?,
                            _ description: String?,
                            _ tags: String?,
                            _ imageValue: URL?) -> ValidationViewModel
        }
    }
    
    //description of request values
    //Useful to the interactor
    enum SavePlace {
        struct Request {
            let name: String
            let description: String
            let tags: String
            let image: URL?
        }
        struct Response {
            let didSave: Bool
        }
    }
    
    enum GetLocation {
        struct Response {
            let location: Location
        }
    }

}

