//
//  AddPlaceRouter.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez on 1/12/21.
//

import UIKit

protocol AddPlaceRouterProtocol {
    func routeBack()
}

class AddPlaceRouter: AddPlaceRouterProtocol {
    
    weak var viewController: UIViewController?
    static func assemble(
        firestore: FirebaseFirestoreManager,
        location: LocationManager,
        firebaseImageUpload: FirebaseImageUploadManager) -> AddPlaceViewController {
        let router = AddPlaceRouter()
        let presenter = AddPlacePresenter()
        let worker = AddPlaceWorker(
            firestore: firestore,
            location: location,
            firebaseImageUpload: firebaseImageUpload)
        let interactor = AddPlaceInteractor(worker: worker, presenter: presenter)
        let view = AddPlaceViewController(interactor: interactor, router: router)
        presenter.viewController = view
        router.viewController = view
        return view
    }
    
    func routeBack() {
        let navigation = viewController?.navigationController
        navigation?.dismiss(animated: false)
    }
}
