//
//  DetailBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez on 1/12/21.
//

import UIKit

enum DetailBusinessModel{
    enum LoadData {
        struct PlaceResponse {
            let place: Place
        }
        struct ActivityResponse{
            let activity: Activity
        }
        struct ViewModel {
            let name: String
            let description: String
            let lat: Double
            let lng: Double
            let date: String?
            let attendees: Int?
            let placeName: String?
            let isPlace: Bool
            let loadImage: ((_ imageView: UIImageView) -> Void)
        }
    }
    enum SetupView{
        struct ButtonViewModel {
            let cornerRadius: CGFloat
            let borderWidth: CGFloat
            let borderColor: CGColor
        }
        struct ViewModel{
            let greenButton: ButtonViewModel
            let grayButton: ButtonViewModel
        }
    }
    enum UpdateActivity {
        struct Request {
            let position: Location
            let count: Int
            let uid: String
        }
    }
    enum AddEvent{
        struct Request {
            let isCreator: Bool
            let isGoing: Bool
        }
    }
}
