//
//  HomeBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

enum HomeBusinessModel {
    enum LoadData {
        struct ActivitiesResponse {
            let items: [Activity]
        }
        struct PlacesResponse {
            let items: [Place]
        }
        struct ItemsResponse {
            struct ViewModel {
                let items: [ItemViewModel]
            }
        }
        struct ItemViewModel {
            let title1: String
            let text1: String
            let text2: String
            let uid: String
            let image: String
            let loadImage: ((_ imageView: UIImageView) -> Void)
        }
        struct ViewModel {
            let items: [ItemViewModel]
        }
    }
    enum SelectPlace {
        struct Request {
            let uid: String
        }
    }
    enum SelectActivity {
        struct Request {
            let uid: String
        }
    }
}
