//
//  InterestsRouter.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

protocol InterestsRouterProtocol {
    func routeToHome()
}

class InterestsRouter: InterestsRouterProtocol {
    
    weak var viewController: UIViewController?

    static func assemble(fbAuth: FirebaseAuthManager & FBObserverManager, firestore: FirebaseFirestoreManager) -> InterestsViewController {
        let router = InterestsRouter()
        let worker = InterestsWorker(firestore: firestore, auth: fbAuth)
        let presenter = InterestsPresenter()
        let interactor = InterestsInteractor(worker: worker, presenter: presenter)
        let view = InterestsViewController(interactor: interactor, router: router)
        presenter.viewController = view
        router.viewController = view
        return view
    }
    
    func routeToHome() {
        //let navigation = viewController?.navigationController
        //let destinationVC = HomeRouter.assemble(dependencies: Dependencies.init())
        //navigation?.pushViewController(destinationVC, animated: true)
        
        let navigation = viewController?.navigationController
        let destinationVC = RootViewController()
        navigation?.pushViewController(destinationVC, animated: true)
        navigation?.dismiss(animated: false)
        
    }
    
    
}
