//
//  InterestsWorker.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import Foundation

protocol InterestsWorkerProtocol {
    func saveInterests(interests: String, completion: @escaping (_ isSuccessful: Bool) -> Void)
}
class InterestsWorker: InterestsWorkerProtocol {

    let firestore: FirebaseFirestoreManager
    let auth: FirebaseAuthManager
    
    init(firestore: FirebaseFirestoreManager, auth: FirebaseAuthManager){
        self.firestore = firestore
        self.auth = auth
    }

    func saveInterests(interests: String, completion: @escaping (Bool) -> Void) {
        let userUID = auth.getUser()!.uid as String
        let data = ["interests": interests] as [String : Any]
        firestore.updateWithId(collection: "Users", document: userUID, data: data){ success in
            completion(success)
        }
    }
    
    
}
