//
//  LoginBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

// This class will contain useful models for the scene
// These models contain the data that the view will use
// These models represent what requests can the view do
// Used mainly by viewController, Interactor and presenter
enum LoginBusinessModel {
    enum SetupView{
        struct SignInButtonViewModel {
            let cornerRadius: CGFloat
            let borderWidth: CGFloat
            let borderColor: CGColor
        }
        struct ValidationViewModel{
            let errorMessage: String
            let isValid: Bool
            let usernameValue: String
            let passwordValue: String
        }
        struct UsernameViewModel{
            let placeholder: String
        }
        struct PasswordViewModel{
            let placeholder: String
        }
        struct ViewModel{
            let signIn: SignInButtonViewModel
            let validator: (_ username: String?, _ password: String?) -> ValidationViewModel
            let username: UsernameViewModel
            let password: PasswordViewModel
        }
    }
    
    enum Login {
        struct Request {
            let username: String
            let password: String
        }
        struct Response {
            let sessionData: SessionResponse
        }
    }

}
