//
//  MyEventsRouter.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez on 1/12/21.
//

import UIKit

protocol MyEventsRouterProtocol {
    
}
class MyEventsRouter: MyEventsRouterProtocol {

    weak var viewController: UIViewController?

    static func assemble(dependencies:
                            HasAuthRequestManager &
                            HasFirestoreManager &
                            HasLocationManager &
                            HasImageCacheManager) -> UIViewController {
        let router = MyEventsRouter()
        let worker = MyEventsWorker(
            firestore: dependencies.firestoreManager,
            location: dependencies.locationManager,
            auth: dependencies.authRequestManager
        )
        let presenter = MyEventsPresenter()
        let interactor = MyEventsInteractor(worker: worker, presenter: presenter)
        let view = MyEventsViewController(interactor: interactor, router: router)
        presenter.viewController = view
        router.viewController = view
        let nav = UINavigationController(rootViewController: view)
        return nav
    }

}
