//
//  MyProfileBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez on 1/12/21.
//

import UIKit

// This class will contain useful models for the scene
// These models contain the data that the view will use
// Example the viewModels for validating or setting styles
enum MyProfileBusinessModel {
    enum SetupView{
        struct buttonViewModel {
            let cornerRadius: CGFloat
            let borderWidth: CGFloat
            let borderColor: CGColor
        }
        struct ViewModel {
            let grayButton: buttonViewModel
            let greenButton: buttonViewModel
        }
    }
    
    //description of request values
    //Useful to the interactor
    enum UpdateUserTags {
        struct Request {
            let tags: String
        }
    }
    enum UpdateUserImage {
        struct Request {
            let path: URL
        }
    }
    enum FetchUser {
        struct Response {
            let user: UserData
        }
        struct ViewModel {
            let image: String
            let loadImage: ((_ imageView: UIImageView) -> Void)
            let email: String
            let tags: String
        }
    }
}

