//
//  NewEventBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

// This class will contain useful models for the scene
// These models contain the data that the view will use
// These models represent what requests can the view do
// Used mainly by viewController, Interactor and presenter
enum NewEventBusinessModel {
    enum SetupView{
        struct SaveButtonViewModel {
            let cornerRadius: CGFloat
            let borderWidth: CGFloat
            let borderColor: CGColor
        }
        struct ValidationViewModel{
            let errorMessage: String
            let isValid: Bool
            let eventNameValue: String
            let descriptionValue: String
            let tagsValue: String
        }
        struct ViewModel{
            let button: SaveButtonViewModel
            let validator: (_ name: String?, _ description: String?, _ tags: String?) -> ValidationViewModel
        }
    }
    
    enum SaveEvent {
        struct Request {
            let eventName: String
            let description: String
            let dateTime: String
            let tags: String
        }
        struct Response {
            let didSave: Bool
        }
    }
    
    enum LoadData {
        struct PlaceResponse {
            let place: Place
        }
        struct ViewModel {
            let placeName: String
            let position: Location
        }
    }

}
