//
//  PasswordResetBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

enum PasswordResetBusinessModel {
    enum SetupView{
        struct PassResetButtonViewModel {
            let cornerRadius: CGFloat
            let borderWidth: CGFloat
            let borderColor: CGColor
        }
        struct ValidationViewModel{
            let errorMessage: String
            let isValid: Bool
            let usernameValue: String
        }
        struct UsernameViewModel{
            let placeholder: String
        }
        struct ViewModel{
            let resetPass: PassResetButtonViewModel
            let validator: (_ username: String?) -> ValidationViewModel
            let username: UsernameViewModel
        }
    }
    
    enum PasswordReset {
        struct Request {
            let username: String
        }
        struct Response {
            let isSuccessful: Bool
        }
    }

}

