//
//  PasswordResetRouter.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

//Router abstraction
protocol PasswordResetRouterProtocol {
    func routeToLogin()
}

class PasswordResetRouter: PasswordResetRouterProtocol {

    weak var viewController: UIViewController?

    static func assemble(dependencies: FirebaseAuthManager & FBObserverManager) -> PasswordResetViewController {
        let router = PasswordResetRouter()
        let worker = PasswordResetWorker(authRequestManager: dependencies)
        let presenter = PasswordResetPresenter()
        let interactor = PasswordResetInteractor(worker: worker, presenter: presenter)
        let view = PasswordResetViewController(interactor: interactor, router: router)
        presenter.viewController = view
        router.viewController = view
        return view
    }
        
    func routeToLogin() {
        let navigation = viewController?.navigationController
        navigation?.dismiss(animated: false)
    }
    
}
