//
//  PermissionsRouter.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

protocol PermissionsRouterProtocol {
    func routeToInterests()
}
class PermissionsRouter: PermissionsRouterProtocol {

    weak var viewController: UIViewController?

    static func assemble(dependencies: LocationManager) -> PermissionsViewController {
        let router = PermissionsRouter()
        let worker = PermissionsWorker(locationManager: dependencies)
        let interactor = PermissionsInteractor(worker: worker)
        let view = PermissionsViewController(interactor: interactor, router: router)
        //presenter.viewController = view
        router.viewController = view
        return view
    }
    
    func routeToInterests() {
        let navigation = viewController?.navigationController
        let destinationVC = InterestsRouter.assemble(fbAuth: FirebaseAuthServices(), firestore: FirebaseFirestoreServices())
        navigation?.pushViewController(destinationVC, animated: true)
    }
    
    
}
