//
//  PermissionsViewController.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

class PermissionsViewController: UIViewController {
    
    @IBOutlet weak var continueBtn: UIButton!
    
    let interactor: PermissionsInteractorProtocol
    let router: PermissionsRouterProtocol
    
    init(interactor: PermissionsInteractorProtocol, router: PermissionsRouterProtocol) {
        self.interactor = interactor
        self.router = router
        let bundle = Bundle(for: PermissionsViewController.self)
        super.init(nibName: "\(PermissionsViewController.self)", bundle: bundle)
    }
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        continueBtn.layer.cornerRadius = 5
        continueBtn.layer.borderWidth = 1
        continueBtn.layer.borderColor = UIColor.systemGreen.cgColor
        interactor.requestLocationPermission()
    }
    
    @IBAction func continueClick(_ sender: Any) {
        print("Continue")
        router.routeToInterests()
    }
    
}
