//
//  RegisterBusinessModel.swift
//  Quillair
//
//  Created by Valery Patrizia Madiedo Gomez
//

import UIKit

enum RegisterBusinessModel {
    enum SetupView{
        struct RegisterButtonViewModel {
            let cornerRadius: CGFloat
            let borderWidth: CGFloat
            let borderColor: CGColor
        }
        struct ValidationViewModel{
            let errorMessage: String
            let isValid: Bool
            let usernameValue: String
            let passwordValue: String
            let confirmPassValue: String
        }
        struct UsernameViewModel{
            let placeholder: String
        }
        struct PasswordViewModel{
            let placeholder: String
        }
        struct ConfirmPassViewModel{
            let placeholder: String
        }
        struct ViewModel{
            let register: RegisterButtonViewModel
            let validator: (_ username: String?, _ password: String?, _ confirmPass: String?) -> ValidationViewModel
            let username: UsernameViewModel
            let password: PasswordViewModel
            let confirmPass: ConfirmPassViewModel
        }
    }
    
    enum Register {
        struct Request {
            let username: String
            let password: String
        }
        struct Response {
            let sessionData: SessionResponse
        }
    }

}
