#  Quillair
## Created by Valery Madiedo

Quillair is an iOS app for discovering outdoor activities that are currently happening and new spots in the city. 

### Installation
- Please make sure to have installed Cocoa Pods in your machine.
- In the terminal go to the root of the project and run:
- pod install
- When its done open the workspace and build the project.

### Installation
This app is made with Swift and UIKit, with an arquitecture inspired in VIP Clean Swift (View-Interactor-Presenter).
The architecture that is presented in this app tries to implement mostly SOLID principles.
Uses Protocol Oriented Programming and Dependency Injection too.
Is composed by four mayor folders:
- Models: Which contains the app objects definitions.
- Managers: Which are protocols that abstract the services functionalities.
- Services: Classes that implement external libraries decoupled from the scenes.
- Scenes: This folder contains a folder for each view of the app.

Each Scene of the app is composed by:
- ViewController: That contains all the view logic (user click, table delegates, etc)
- NIB: That contains the view components.
- BusinessModel: That contains useful models that describe the scene functionality (viewmodels, requests). These are important since the layers in a scene cannot use the basic models (only the worker can).
- Worker: Is the class that makes the requests to the services and passes processed data to the interactor.
- Interactor: Is the class that tells the worker what the view needs from the services and sends the data to the presenter.
- Presenter: Is in charge of setting the data that the view needs. Will also tell the view when to change stuff.
- Router: Is in charge of injecting the dependencies to all the layers, and will route the scenes.

